<?php

$dog_groomer_custom_css = "";

$dog_groomer_primary_color = get_theme_mod('dog_groomer_primary_color');
$dog_groomer_second_color = get_theme_mod('dog_groomer_second_color');

/*------------------ Primary Global Color -----------*/

if ($dog_groomer_primary_color) {
  $dog_groomer_custom_css .= ':root {';
  $dog_groomer_custom_css .= '--primary-color: ' . esc_attr($dog_groomer_primary_color) . ' !important;';
  $dog_groomer_custom_css .= '} ';
}

/*------------------ Secondary Global Color -----------*/

if ($dog_groomer_second_color) {
  $dog_groomer_custom_css .= ':root {';
  $dog_groomer_custom_css .= '--secondary-color: ' . esc_attr($dog_groomer_second_color) . ' !important;';
  $dog_groomer_custom_css .= '} ';
}

/*-------------------- Container Width-------------------*/

$dog_groomer_theme_width = get_theme_mod( 'dog_groomer_theme_width','full-width');

if($dog_groomer_theme_width == 'full-width'){
$dog_groomer_custom_css .='body{';
	$dog_groomer_custom_css .='max-width: 100% !important;';
$dog_groomer_custom_css .='}';
}else if($dog_groomer_theme_width == 'container'){
$dog_groomer_custom_css .='body{';
	$dog_groomer_custom_css .='width: 90% !important; padding-right: 15px; padding-left: 15px;  margin-right: auto !important; margin-left: auto !important;';
$dog_groomer_custom_css .='}';
}else if($dog_groomer_theme_width == 'container-fluid'){
$dog_groomer_custom_css .='body{';
	$dog_groomer_custom_css .='width: 95% !important;padding-right: 15px;padding-left: 15px;margin-right: auto;margin-left: auto;';
$dog_groomer_custom_css .='}';
}

/*-------------------- Single Post Alignment-------------------*/

$dog_groomer_single_post_align = get_theme_mod( 'dog_groomer_single_post_align','left-align');

if($dog_groomer_single_post_align == 'left-align'){
$dog_groomer_custom_css .='body:not(.hide-post-meta) .post{';
	$dog_groomer_custom_css .='text-align: left';
$dog_groomer_custom_css .='}';
}else if($dog_groomer_single_post_align == 'right-align'){
$dog_groomer_custom_css .='body:not(.hide-post-meta) .post{';
	$dog_groomer_custom_css .='text-align: right';
$dog_groomer_custom_css .='}';
}else if($dog_groomer_single_post_align == 'center-align'){
$dog_groomer_custom_css .='body:not(.hide-post-meta) .post{';
	$dog_groomer_custom_css .='text-align: center';
$dog_groomer_custom_css .='}';
}

/*-------------------- Scroll Top Alignment-------------------*/

$dog_groomer_scroll_top_alignment = get_theme_mod( 'dog_groomer_scroll_top_alignment','right-align');

if($dog_groomer_scroll_top_alignment == 'right-align'){
$dog_groomer_custom_css .='#button{';
	$dog_groomer_custom_css .='right: 5%;';
$dog_groomer_custom_css .='}';
}else if($dog_groomer_scroll_top_alignment == 'center-align'){
$dog_groomer_custom_css .='#button{';
	$dog_groomer_custom_css .='right:0; left:0; margin: 0 auto;';
$dog_groomer_custom_css .='}';
}else if($dog_groomer_scroll_top_alignment == 'left-align'){
$dog_groomer_custom_css .='#button{';
	$dog_groomer_custom_css .='left: 5%;';
$dog_groomer_custom_css .='}';
}

/*-------------------- Archive Page Pagination Alignment-------------------*/

$dog_groomer_archive_pagination_alignment = get_theme_mod( 'dog_groomer_archive_pagination_alignment','left-align');

if($dog_groomer_archive_pagination_alignment == 'right-align'){
$dog_groomer_custom_css .='.pagination{';
	$dog_groomer_custom_css .='justify-content: end;';
$dog_groomer_custom_css .='}';
}else if($dog_groomer_archive_pagination_alignment == 'center-align'){
$dog_groomer_custom_css .='.pagination{';
	$dog_groomer_custom_css .='justify-content: center;';
$dog_groomer_custom_css .='}';
}else if($dog_groomer_archive_pagination_alignment == 'left-align'){
$dog_groomer_custom_css .='.pagination{';
	$dog_groomer_custom_css .='justify-content: start;';
$dog_groomer_custom_css .='}';
}

/*-------------------- Scroll Top Responsive-------------------*/

$dog_groomer_resp_scroll_top = get_theme_mod( 'dog_groomer_resp_scroll_top',true);
if($dog_groomer_resp_scroll_top == true && get_theme_mod( 'dog_groomer_scroll_to_top',true) != true){
	$dog_groomer_custom_css .='#button.show{';
		$dog_groomer_custom_css .='visibility:hidden !important;';
	$dog_groomer_custom_css .='} ';
}
if($dog_groomer_resp_scroll_top == true){
	$dog_groomer_custom_css .='@media screen and (max-width:575px) {';
	$dog_groomer_custom_css .='#button.show{';
		$dog_groomer_custom_css .='visibility:visible !important;';
	$dog_groomer_custom_css .='} }';
}else if($dog_groomer_resp_scroll_top == false){
	$dog_groomer_custom_css .='@media screen and (max-width:575px){';
	$dog_groomer_custom_css .='#button.show{';
		$dog_groomer_custom_css .='visibility:hidden !important;';
	$dog_groomer_custom_css .='} }';
}

/*-------------------- Preloader Responsive-------------------*/

	$dog_groomer_resp_loader = get_theme_mod('dog_groomer_resp_loader',false);
	if($dog_groomer_resp_loader == true && get_theme_mod('dog_groomer_header_preloader',false) == false){
		$dog_groomer_custom_css .='@media screen and (min-width:575px){
			.preloader{';
			$dog_groomer_custom_css .='display:none !important;';
		$dog_groomer_custom_css .='} }';
	}

	if($dog_groomer_resp_loader == false){
		$dog_groomer_custom_css .='@media screen and (max-width:575px){
			.preloader{';
			$dog_groomer_custom_css .='display:none !important;';
		$dog_groomer_custom_css .='} }';
	}

// Scroll to top button shape 

$dog_groomer_scroll_border_radius = get_theme_mod( 'dog_groomer_scroll_to_top_radius','curved-box');
if($dog_groomer_scroll_border_radius == 'box'){
	$dog_groomer_custom_css .='#button{';
		$dog_groomer_custom_css .='border-radius: 0px;';
	$dog_groomer_custom_css .='}';
}else if($dog_groomer_scroll_border_radius == 'curved-box'){
	$dog_groomer_custom_css .='#button{';
		$dog_groomer_custom_css .='border-radius: 4px;';
	$dog_groomer_custom_css .='}';
}
else if($dog_groomer_scroll_border_radius == 'circle'){
	$dog_groomer_custom_css .='#button{';
		$dog_groomer_custom_css .='border-radius: 50%;';
	$dog_groomer_custom_css .='}';
}

// Footer Background Image Attachment 

$dog_groomer_footer_attachment = get_theme_mod( 'dog_groomer_background_attachment','scroll');
if($dog_groomer_footer_attachment == 'fixed'){
	$dog_groomer_custom_css .='.site-footer{';
		$dog_groomer_custom_css .='background-attachment: fixed;';
	$dog_groomer_custom_css .='}';
}elseif ($dog_groomer_footer_attachment == 'scroll'){
	$dog_groomer_custom_css .='.site-footer{';
		$dog_groomer_custom_css .='background-attachment: scroll;';
	$dog_groomer_custom_css .='}';
}

// Menu Hover Style	

$dog_groomer_menus_item = get_theme_mod( 'dog_groomer_menus_style','None');
if($dog_groomer_menus_item == 'None'){
	$dog_groomer_custom_css .='#site-navigation .menu ul li a:hover, .main-navigation .menu li a:hover{';
		$dog_groomer_custom_css .='';
	$dog_groomer_custom_css .='}';
}else if($dog_groomer_menus_item == 'Zoom In'){
	$dog_groomer_custom_css .='#site-navigation .menu ul li a:hover, .main-navigation .menu li a:hover{';
	$dog_groomer_custom_css .= 'transition: all 0.3s ease-in-out !important; transform: scale(1.2) !important;';
	$dog_groomer_custom_css .= '}';
	
	$dog_groomer_custom_css .= '.main-navigation ul ul li a:hover {';
	$dog_groomer_custom_css .= 'margin-left: 20px;';
	$dog_groomer_custom_css .= '}';
}	
